Bug 1290543 - Error loading certificate file containing negative serial number
Error loading certificate file containing negative serial number
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: golang (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Čajka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 13:32 EST by Jordan Liggitt
Modified: 2016-01-04 14:53 EST (History)
8 users (show)

See Also:
Fixed In Version: golang-1.5.2-2.fc23 golang-1.5.2-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1290472
Environment:
Last Closed: 2015-12-22 17:04:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jordan Liggitt 2015-12-10 13:32:22 EST
+++ This bug was initially created as a clone of Bug #1290472 +++

Description of problem:
x509 certificates containing negative serial numbers cannot be loaded.

Version-Release number of selected component (if applicable):
go 1.4.x, 1.5.x

How reproducible:
Always

Steps to Reproduce:
1. Create an x509 certificate with a negative serial number
2. Load it using golang's x509.ParseCertificate function

Actual results:
An error is returned

Expected results:
The certificate can be loaded

Additional info:
See https://github.com/golang/go/issues/8265

See http://play.golang.org/p/zpXKadV5mo for recreation
Comment 1 Jakub Čajka 2015-12-11 04:06:16 EST
Pruned dependencies on RHEL BZs.
Comment 2 Fedora Update System 2015-12-14 09:17:43 EST
golang-1.5.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-911afa53ac
Comment 3 Fedora Update System 2015-12-14 09:17:43 EST
golang-1.5.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-0cdb6d06b7
Comment 4 Fedora Update System 2015-12-15 05:53:32 EST
golang-1.5.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update golang'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0cdb6d06b7
Comment 5 Fedora Update System 2015-12-22 10:37:17 EST
golang-1.5.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-911afa53ac
Comment 6 Fedora Update System 2015-12-22 17:04:14 EST
golang-1.5.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-01-04 14:53:34 EST
golang-1.5.2-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.